'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0048f6f2.js');

const dropdownCss = ".dropdown{display:-ms-inline-flexbox;display:inline-flex;position:relative;vertical-align:top}.dropdown.is-active .dropdown-menu,.dropdown.is-hoverable:hover .dropdown-menu{display:block}.dropdown.is-right .dropdown-menu{left:auto;right:0}.dropdown.is-up .dropdown-menu{bottom:100%;padding-bottom:4px;padding-top:initial;top:auto}.dropdown-menu{display:none;left:0;min-width:12rem;padding-top:4px;position:absolute;top:100%;z-index:20}.dropdown-content{background-color:white;border-radius:4px;-webkit-box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);box-shadow:0 0.5em 1em -0.125em rgba(10, 10, 10, 0.1), 0 0px 0 1px rgba(10, 10, 10, 0.02);padding-bottom:0.5rem;padding-top:0.5rem}.dropdown-item{color:#4a4a4a;display:block;font-size:0.875rem;line-height:1.5;padding:0.375rem 1rem;position:relative}a.dropdown-item,button.dropdown-item{padding-right:3rem;text-align:left;white-space:nowrap;width:100%}a.dropdown-item:hover,button.dropdown-item:hover{background-color:whitesmoke;color:#0a0a0a}a.dropdown-item.is-active,button.dropdown-item.is-active{background-color:#5851ff;color:#fff}.dropdown-divider{background-color:#ededed;border:none;display:block;height:1px;margin:0.5rem 0}";

const Dropdown = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * The dropdown visibility
         */
        this.isActive = false;
        /**
         * Align the dropdown to the right
         */
        this.isRight = false;
        /**
         * Dropdown menu that appears above the dropdown button
         */
        this.isUp = false;
        /**
         * The dropdown will show up when hovering the dropdown-trigger
         */
        this.isHoverable = false;
        /**
         * Handle Trigger click action
         */
        this.handleTriggerClick = () => {
            this.isActive = !this.isActive;
        };
    }
    render() {
        return (index.h("div", { class: {
                dropdown: true,
                'is-active': this.isActive,
                'is-right': this.isRight,
                'is-up': this.isUp,
                'is-hoverable': this.isHoverable,
            } }, index.h("div", { onClick: this.handleTriggerClick, class: "dropdown-trigger" }, index.h("slot", { name: "trigger", "aria-haspopup": "true" })), index.h("div", { class: "dropdown-menu", role: "menu" }, index.h("div", { class: "dropdown-content" }, index.h("slot", null)))));
    }
};
Dropdown.style = dropdownCss;

exports.bm_dropdown = Dropdown;
