import { Component, Prop, Host, h } from '@stencil/core';
export class Buttons {
    constructor() {
        /**
         * CSS classes
         */
        this.class = '';
    }
    render() {
        return (h(Host, null,
            h("div", { class: {
                    buttons: true,
                    [this.size]: Boolean(this.size),
                    [this.class]: Boolean(this.class),
                } },
                h("slot", null))));
    }
    static get is() { return "bm-buttons"; }
    static get originalStyleUrls() { return {
        "$": ["buttons.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["buttons.css"]
    }; }
    static get properties() { return {
        "class": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "CSS classes"
            },
            "attribute": "class",
            "reflect": false,
            "defaultValue": "''"
        },
        "size": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "'are-small' | 'are-medium' | 'are-large'",
                "resolved": "\"are-large\" | \"are-medium\" | \"are-small\"",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Buttons size"
            },
            "attribute": "size",
            "reflect": false
        }
    }; }
}
